LibreOffice: XTimeField Interface Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XTimeField Interface Referencepublished

gives access to the value and settings of a time field. More...

`import"XTimeField.idl";`

Inheritance diagram for XTimeField:

## Public Member Functions
void | setTime ([in] com::sun::star::util::Time Time)
| sets the time value which is displayed in the time field. More...
com::sun::star::util::Time | getTime ()
| returns the time value which is currently displayed in the time field. More...
void | setMin ([in] com::sun::star::util::Time Time)
| sets the minimum time value that can be entered by the user. More...
com::sun::star::util::Time | getMin ()
| returns the currently set minimum time value that can be entered by the user. More...
void | setMax ([in] com::sun::star::util::Time Time)
| sets the maximum time value that can be entered by the user. More...
com::sun::star::util::Time | getMax ()
| returns the currently set maximum time value that can be entered by the user. More...
void | setFirst ([in] com::sun::star::util::Time Time)
| sets the first value to be set on POS1 key. More...
com::sun::star::util::Time | getFirst ()
| returns the currently set first value which is set on POS1 key. More...
void | setLast ([in] com::sun::star::util::Time Time)
| sets the last value to be set on END key. More...
com::sun::star::util::Time | getLast ()
| returns the currently set last value which is set on END key. More...
void | setEmpty ()
| sets an empty value for the time. More...
boolean | isEmpty ()
| returns whether currently an empty value is set for the time. More...
void | setStrictFormat ([in] boolean bStrict)
| determines if the format is checked during user input. More...
boolean | isStrictFormat ()
| returns whether the format is currently checked during user input. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the value and settings of a time field.

## Member Function Documentation

## ◆ getFirst()

com::sun::star::util::Time getFirst | ( |  | ) |

returns the currently set first value which is set on POS1 key.

## ◆ getLast()

com::sun::star::util::Time getLast | ( |  | ) |

returns the currently set last value which is set on END key.

## ◆ getMax()

com::sun::star::util::Time getMax | ( |  | ) |

returns the currently set maximum time value that can be entered by the user.

## ◆ getMin()

com::sun::star::util::Time getMin | ( |  | ) |

returns the currently set minimum time value that can be entered by the user.

## ◆ getTime()

com::sun::star::util::Time getTime | ( |  | ) |

returns the time value which is currently displayed in the time field.

## ◆ isEmpty()

boolean isEmpty | ( |  | ) |

returns whether currently an empty value is set for the time.

## ◆ isStrictFormat()

boolean isStrictFormat | ( |  | ) |

returns whether the format is currently checked during user input.

## ◆ setEmpty()

void setEmpty | ( |  | ) |

sets an empty value for the time.

## ◆ setFirst()

void setFirst | ( | [in] com::sun::star::util::Time | Time | ) |

sets the first value to be set on POS1 key.

## ◆ setLast()

void setLast | ( | [in] com::sun::star::util::Time | Time | ) |

sets the last value to be set on END key.

## ◆ setMax()

void setMax | ( | [in] com::sun::star::util::Time | Time | ) |

sets the maximum time value that can be entered by the user.

## ◆ setMin()

void setMin | ( | [in] com::sun::star::util::Time | Time | ) |

sets the minimum time value that can be entered by the user.

## ◆ setStrictFormat()

void setStrictFormat | ( | [in] boolean | bStrict | ) |

determines if the format is checked during user input.

## ◆ setTime()

void setTime | ( | [in] com::sun::star::util::Time | Time | ) |

sets the time value which is displayed in the time field.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTimeField.idl